curl --request GET \
--url http://{your-domain}/v1/aibot/bots/{AgentId}/records \
--header 'Authorization: Bearer <token>'{
"recordList": [
{
"AgentId": "Agent-xxx",
"recordId": "record-xxx",
"role": "user",
"content": "This is a conversation message",
"conversation": "user",
"type": "text",
"image": "http://xxx.image",
"triggerSrc": "TCB",
"replyTo": "record-xxx",
"createTime": "2024-07-25T12:03:59.000Z"
}
],
"total": 10
}curl --request GET \
--url http://{your-domain}/v1/aibot/bots/{AgentId}/records \
--header 'Authorization: Bearer <token>'{
"recordList": [
{
"AgentId": "Agent-xxx",
"recordId": "record-xxx",
"role": "user",
"content": "This is a conversation message",
"conversation": "user",
"type": "text",
"image": "http://xxx.image",
"triggerSrc": "TCB",
"replyTo": "record-xxx",
"createTime": "2024-07-25T12:03:59.000Z"
}
],
"total": 10
}Token corresponding to the environment ID, obtained through login authentication
Agent ID
Sort by creation time, asc: ascending, desc: descending
Pagination parameter, default is 10
Pagination parameter, default is 1
Was this page helpful?